Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.crypto
Class DummyDSAEngine

    java.lang.Object
      net.i2p.crypto.DSAEngine
          net.i2p.crypto.DummyDSAEngine

    public class DummyDSAEngine

extends DSAEngine

Stub that offers no authentication.

Constructor Summary
`DummyDSAEngine(I2PAppContext context)`

Method Summary
`Signature` | `sign(byte[] data, SigningPrivateKey signingKey)`
`boolean` | `verifySignature(Signature signature, byte[] signedData, SigningPublicKey verifyingKey)`

Methods inherited from class net.i2p.crypto.DSAEngine
`calculateHash, calculateHash, getInstance, main, sign, sign, sign, verifySignature, verifySignature, verifySignature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyDSAEngine

    public DummyDSAEngine(I2PAppContext context)

Method Detail

### verifySignature

    public boolean verifySignature(Signature signature,
                                   byte[] signedData,
                                   SigningPublicKey verifyingKey)

  Overrides:
    `verifySignature` in class `DSAEngine`

### sign

    public Signature sign(byte[] data,
                          SigningPrivateKey signingKey)

  Overrides:
    `sign` in class `DSAEngine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD